Package org.opensaml.soap.common

# Class SOAP11FaultDecodingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.opensaml.messaging.MessageException
org.opensaml.messaging.decoder.MessageDecodingException
org.opensaml.soap.common.SOAP11FaultDecodingException

All Implemented Interfaces:
  `Serializable`

public class SOAP11FaultDecodingException extends MessageDecodingException
Specialized message decoding exception type for carrying a SOAP 1.1 Fault element.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Fault`
`fault`
The SOAP 1.1.
`private static final long`
`serialVersionUID`
Serial version UID.

## Constructor Summary

Constructors
Constructor
Description
`SOAP11FaultDecodingException(Fault soapFault)`
Constructor.
`SOAP11FaultDecodingException(Fault soapFault, String message)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Fault`
`getFault()`
Get the SOAP 1.1 Fault represented by the exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

### fault

@Nullable private final Fault fault
The SOAP 1.1. Fault element being carried.

## Constructor Details

### SOAP11FaultDecodingException

public SOAP11FaultDecodingException(@Nullable Fault soapFault)
Constructor.

Parameters:
  `soapFault` - the SOAP 1.1 fault being represented

### SOAP11FaultDecodingException

public SOAP11FaultDecodingException(@Nullable Fault soapFault, @Nullable String message)
Constructor.

Parameters:
  `soapFault` - the SOAP 1.1 fault being represented
  `message` - a textual exception message

## Method Details

### getFault

@Nullable public Fault getFault()
Get the SOAP 1.1 Fault represented by the exception.

Returns:
  the SOAP 1.1 Fault element